Jump to content

FuzzyPat

PC Member
  • Content Count

    3
  • Joined

  • Last visited

Community Reputation

0

About FuzzyPat

  • Rank
    Initiate

Recent Profile Visitors

82 profile views
  1. Using v84.0.4147.135 of Chrome on Win10 Pro. I found a problem with a mod - Directed Convergence, the mod for the Supra and Supra Vandal. This mod is an Exilus mod, and should be able to me slotted into the Exilus slot for these weapons. I cannot put this mod into the Exilus slot. Thank you for your help! FuzzyPat
×
×
  • Create New...